QueryFederationQueuePoliciesRequestPBImpl (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb, class: QueryFederationQueuePoliciesRequestPBImpl

Package org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb

# Class QueryFederationQueuePoliciesRequestPBImpl

java.lang.Object
org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest
org.apache.hadoop.yarn.server.api.protocolrecords.impl.pb.QueryFederationQueuePoliciesRequestPBImpl

public class QueryFederationQueuePoliciesRequestPBImpl extends org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QueryFederationQueuePoliciesRequestPBImpl()`
  `QueryFederationQueuePoliciesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesRequestProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object other)`
  `int`
  `getCurrentPage()`
  `int`
  `getPageSize()`
  `org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesRequestProto`
  `getProto()`
  `String`
  `getQueue()`
  `List<String>`
  `getQueues()`
  `int`
  `hashCode()`
  `void`
  `setCurrentPage(int currentPage)`
  `void`
  `setPageSize(int pageSize)`
  `void`
  `setQueue(String queue)`
  `void`
  `setQueues(List<String> pQueues)`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest

  `newInstance`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### QueryFederationQueuePoliciesRequestPBImpl

    public QueryFederationQueuePoliciesRequestPBImpl()

  - ### QueryFederationQueuePoliciesRequestPBImpl

    public QueryFederationQueuePoliciesRequestPBImpl(org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesRequestProto proto)

- ## Method Details

  - ### setPageSize

    public void setPageSize(int pageSize)
    Specified by:
      `setPageSize` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### getPageSize

    public int getPageSize()
    Specified by:
      `getPageSize` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### setCurrentPage

    public void setCurrentPage(int currentPage)
    Specified by:
      `setCurrentPage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### getCurrentPage

    public int getCurrentPage()
    Specified by:
      `getCurrentPage` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### getQueue

    public String getQueue()
    Specified by:
      `getQueue` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### setQueue

    public void setQueue(String queue)
    Specified by:
      `setQueue` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### getQueues

    public List<String> getQueues()
    Specified by:
      `getQueues` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### setQueues

    public void setQueues(List<String> pQueues)
    Specified by:
      `setQueues` in class `org.apache.hadoop.yarn.server.api.protocolrecords.QueryFederationQueuePoliciesRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### getProto

    public org.apache.hadoop.yarn.proto.YarnServerResourceManagerServiceProtos.QueryFederationQueuePoliciesRequestProto getProto()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`